Skip to navigation

Get customer details

Returns the full bank record of a customer your business opened an account for.

Authentication

AuthorizationBearer

Your Halo partner API key, sent as Authorization: Bearer <key>.

Request

This endpoint expects an object.
account_numberstringOptional
An account number your business opened. Required when email is not sent.
emailstringOptional

The customer email. Required when account_number is not sent.

Response

Success.
statusbooleanOptional
messagestringOptional
dataobjectOptional
status_codeintegerOptional

Errors

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error
429
Too Many Requests Error